{
    "doc": "This is the response from `POST /callsets/search` expressed as JSON.",
    "fields": [
        {
            "default": [],
            "doc": "The list of matching call sets.",
            "name": "callSets",
            "type": {
                "items": {
                    "doc": "A `CallSet` is a collection of variant calls for a particular sample.\nIt belongs to a `VariantSet`. This is equivalent to one column in VCF.",
                    "fields": [
                        {
                            "doc": "The call set ID.",
                            "name": "id",
                            "type": "string"
                        },
                        {
                            "default": null,
                            "doc": "The call set name.",
                            "name": "name",
                            "type": [
                                "null",
                                "string"
                            ]
                        },
                        {
                            "doc": "The sample this call set's data was generated from.",
                            "name": "sampleId",
                            "type": [
                                "null",
                                "string"
                            ]
                        },
                        {
                            "default": [],
                            "doc": "The IDs of the variant sets this call set has calls in.",
                            "name": "variantSetIds",
                            "type": {
                                "items": "string",
                                "type": "array"
                            }
                        },
                        {
                            "default": null,
                            "doc": "The date this call set was created in milliseconds from the epoch.",
                            "name": "created",
                            "type": [
                                "null",
                                "long"
                            ]
                        },
                        {
                            "default": null,
                            "doc": "The time at which this call set was last updated in\n  milliseconds from the epoch.",
                            "name": "updated",
                            "type": [
                                "null",
                                "long"
                            ]
                        },
                        {
                            "default": {},
                            "doc": "A map of additional call set information.",
                            "name": "info",
                            "type": {
                                "type": "map",
                                "values": {
                                    "items": "string",
                                    "type": "array"
                                }
                            }
                        }
                    ],
                    "name": "CallSet",
                    "namespace": "org.ga4gh.models",
                    "type": "record"
                },
                "type": "array"
            }
        },
        {
            "default": null,
            "doc": "The continuation token, which is used to page through large result sets.\n  Provide this value in a subsequent request to return the next page of\n  results. This field will be empty if there aren't any additional results.",
            "name": "nextPageToken",
            "type": [
                "null",
                "string"
            ]
        }
    ],
    "name": "SearchCallSetsResponse",
    "namespace": "org.ga4gh.methods",
    "type": "record"
}